none
为什么用 VB2008 生成的软件在别的电脑上不能用 RRS feed

答案

  • 你好

    你知道別的電腦上有沒有.NET FRAMEWORK

    可能有些DLL 你沒有 在 PUBLISH 時加入到這個 PACKAGE 入面

    可不可以看看 用不到的電腦的 ERROR [如果電腦用不到的話應該會出現一個MESSAGE BOX, 你看看他的內容便會說出 為什麼不能用的]

    Please correct me if my concept is wrong

     


    Chi
    2010年7月22日 10:22
    版主
  • 你好!

        尝试在目标机器上安装.NET Framework:

    http://www.microsoft.com/downloads/details.aspx?displaylang=zh-cn&FamilyID=ab99342f-5d1a-413d-8319-81da479ab0d7


    周雪峰
    2010年7月22日 13:19
    版主
  • VB6能够直接使用,也是因为操作系统自带了VB6的运行库而已(msvbvm60.dll)

    从2003开始,Windows开始集成.NET框架(v1.1,Vista是3.0,Win7是3.5),所以在没有默认集成.NET相应版本的操作系统上,必须安装相应版本的框架才能使.NET程序正常运行


    共同努力,共同提高
    kaedei#live.cn My BLOG
    2010年7月25日 8:06

全部回复

  • 你好

    你知道別的電腦上有沒有.NET FRAMEWORK

    可能有些DLL 你沒有 在 PUBLISH 時加入到這個 PACKAGE 入面

    可不可以看看 用不到的電腦的 ERROR [如果電腦用不到的話應該會出現一個MESSAGE BOX, 你看看他的內容便會說出 為什麼不能用的]

    Please correct me if my concept is wrong

     


    Chi
    2010年7月22日 10:22
    版主
  •           不好用   是不是把我的电脑上的.NET FRAMEWORK

    复制到別的電腦上,別的電腦就能用我的软件了吗?

    2010年7月22日 10:36
  • 你好

    "是不是把我的电脑上的.NET FRAMEWORK

    复制到別的電腦上,別的電腦就能用我的软件了吗?"

    不是呀

    你是需要別的電腦上安裝 .NET FRAMEWORK 才可以在別的電腦上執行你寫的 PROGRAM 的

    或者你把這個ERROR MESSAGE 貼在這裡給我們參考一下

    Please correct me if my concept is wrong


    Chi
    2010年7月22日 11:01
    版主
  •         ERROR MESSAGE    是什么   
    2010年7月22日 11:06
  • 錯誤信息, 別的電腦執行 你的 PROGRAM 時 如果是不能執行的話, 應該會有錯誤信息的

    Chi
    2010年7月22日 11:17
    版主
  • 你好!

        尝试在目标机器上安装.NET Framework:

    http://www.microsoft.com/downloads/details.aspx?displaylang=zh-cn&FamilyID=ab99342f-5d1a-413d-8319-81da479ab0d7


    周雪峰
    2010年7月22日 13:19
    版主
  • 我用了

    http://www.microsoft.com/downloads/details.aspx?displaylang=zh-cn&FamilyID=ab99342f-5d1a-413d-8319-81da479ab0d7 

    在别的电脑上安装了  NET Framework 3.5   別的電腦就能用我的软件了。

    有什么 VB编程软件 可在別的電腦上直接用 除了VB6.0之外。

     

     

    • 已标记为答案 大江 2010年7月24日 9:47
    • 取消答案标记 大江 2010年7月24日 9:48
    2010年7月24日 9:47
  • VB6能够直接使用,也是因为操作系统自带了VB6的运行库而已(msvbvm60.dll)

    从2003开始,Windows开始集成.NET框架(v1.1,Vista是3.0,Win7是3.5),所以在没有默认集成.NET相应版本的操作系统上,必须安装相应版本的框架才能使.NET程序正常运行


    共同努力,共同提高
    kaedei#live.cn My BLOG
    2010年7月25日 8:06